import { trigger, animate, transition, style } from '@angular/animations';

const duration = '.2s';

export const fadeInOutAnimation =
    trigger('fadeInOutAnimation', [
        // route 'enter' transition
        transition(':enter', [

            // styles at start of transition
            style({opacity: 0}),

            // animation and styles at end of transition
            animate(duration, style({opacity: 1}))
        ]),
        // route 'leave' transition
        transition(':leave', [

            // styles at start of transition
            style({opacity: 1}),

            // animation and styles at end of transition
            animate(duration, style({opacity: 0}))
        ]),
    ]);

export const fadeInAnimation =
    trigger('fadeInAnimation', [
        // route 'enter' transition
        transition(':enter', [

            // styles at start of transition
            style({opacity: 0}),

            // animation and styles at end of transition
            animate(duration, style({opacity: 1}))
        ]),
    ]);

export const fadeOutAnimation =
    trigger('fadeOutAnimation', [
        // route 'leave' transition
        transition(':leave', [

            // styles at start of transition
            style({opacity: 1}),

            // animation and styles at end of transition
            animate(duration, style({opacity: 0}))
        ]),
    ]);
